for para in $*
do
    if [[ $para == --profiling* ]];then
        profiling=${para#*=}
        export GPU_FLUSH_ON_EXECUTION=1
        export HIP_DIRECT_DISPATCH=0
    fi
done

mpirun -np 8  --allow-run-as-root \
              train_gpt_567B_1nodes.sh localhost --profiling=$profiling > output.log 2>&1

wait

rm -rf CKPT
rm -rf mixtral_dataset/my-mixtral_text_document
